summaryrefslogtreecommitdiff
path: root/app-crypt
diff options
context:
space:
mode:
authorLibravatar Terin Stock <terinjokes@gmail.com>2024-10-19 16:49:23 +0200
committerLibravatar Terin Stock <terinjokes@gmail.com>2024-10-19 16:49:23 +0200
commit76e1fb8f9057cada70acf6deaed0a1f819674b73 (patch)
tree8d14307209b83468800bacb17cc4f35e0dd02e66 /app-crypt
parentnet-proxy/traefik: new package, add 3.1.6 (diff)
downloadebuilds-76e1fb8f9057cada70acf6deaed0a1f819674b73.tar.xz
app-crypt/lego: new package, add 4.19.2
Diffstat (limited to 'app-crypt')
-rw-r--r--app-crypt/lego/Manifest2
-rw-r--r--app-crypt/lego/lego-4.19.2.ebuild33
2 files changed, 35 insertions, 0 deletions
diff --git a/app-crypt/lego/Manifest b/app-crypt/lego/Manifest
new file mode 100644
index 0000000..3630b87
--- /dev/null
+++ b/app-crypt/lego/Manifest
@@ -0,0 +1,2 @@
+DIST lego-4.19.2-vendor.tar.xz 8473328 BLAKE2B faaf0868bac9cc33bb5feee4f2244afac8b87bead59ef781bcee9e21d441b5ae6449c0b87146676c9338c7d6d55a1b51708d9a965821ecc386d26625bcbd5cd9 SHA512 7ced8d9ecd865b4ad9a51eb2edbdc0daa525b9ac8d9c94652762891f2be313cfbe7fb825be8d661344cadca6e33617a5dfb14acbe7ec7c3a2b1938b6e8887208
+DIST lego-4.19.2.tar.gz 749557 BLAKE2B 054dbfffdc56e7b264781b73c7ef8072ff2b136a5c03f2ae78e5302a2748cbd7d29e207e66da696849b39787627c73dce531b2885183bfe30182b8ce6a544ff2 SHA512 0dfe41df511f32dc69d595d99125910313f266fbb4e5459d89644c052e4402849c5e7c8456c5b85f93a6bc5fc936fcdd3e18b8334a035304ebf5c0e173a0677b
diff --git a/app-crypt/lego/lego-4.19.2.ebuild b/app-crypt/lego/lego-4.19.2.ebuild
new file mode 100644
index 0000000..87c9e85
--- /dev/null
+++ b/app-crypt/lego/lego-4.19.2.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit go-module
+
+DESCRIPTION="Let's Encrypt/ACME client and library written in Go "
+HOMEPAGE="https://github.com/go-acme/lego"
+BDEPEND=">=dev-lang/go-1.22.0"
+SRC_URI="https://github.com/go-acme/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI+=" https://share.terinstock.com/${P}-vendor.tar.xz"
+
+LICENSE="MIT"
+LICENSE+=" Apache-2.0 BSD MPL-2.0 BSD-2 "
+SLOT="0"
+KEYWORDS="~amd64"
+
+# tests require reaching out to DNS servers
+PROPERTIES="test_network"
+RESTRICT="test"
+
+src_compile() {
+ mkdir bin || die
+ ego build -trimpath --ldflags "-X main.version=${PV}" -o bin/lego ./cmd/lego/...
+}
+
+src_test() {
+ ego test ./...
+}
+
+src_install() {
+ dobin bin/lego
+}